//----------------------------------------------------------------------------
//  Project Test_At3dx_Viewer
//  MicroMouse Productions
//  Copyright  2010-2012. All Rights Reserved.                    
//  Author: Wayne Hogue
//
//---------------------------------------------------------------------------
#ifndef Test_At3dx_ViewerAppH
#define Test_At3dx_ViewerAppH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TTest_At3dx_ViewerForm : public TForm
{
__published:	// IDE-managed Components
  TButton *ReadObjFile;
  TPanel *ViewPanel;
  TCheckBox *ReversePan;
  TCheckBox *ReverseZoom;
  TCheckBox *UseTextures;
  TCheckBox *AlwaysShowCameraCursor;
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall ReadObjFileClick(TObject *Sender);
  void __fastcall ReversePanClick(TObject *Sender);
  void __fastcall ReverseZoomClick(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall UseTexturesClick(TObject *Sender);
  void __fastcall AlwaysShowCameraCursorClick(TObject *Sender);
private:	// User declarations
  void __fastcall Start_DLL(void);
  void __fastcall Stop_DLL(void);
  void __fastcall Read_3D_File(void);
  int dllOpen;
  int fileLoaded;
  char inName[MAX_PATH];
  int useTexturesFlag;
  int reversePanFlag;
  int reverseZoomFlag;
  int alwaysShowCameraCursorFlag;
public:		// User declarations
  __fastcall TTest_At3dx_ViewerForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_ViewerForm *Test_At3dx_ViewerForm;
//---------------------------------------------------------------------------
#endif
